import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';

import '../../../components/field/field.dart';

@RoutePage()
class AccountMyPage extends StatelessWidget {
  const AccountMyPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('Akun Saya')),
      body: ListView(
        padding: EdgeInsets.all(16),
        children: [
          AppTextFormField(title: 'Nama', hintText: 'Masukkan Name'),
          SizedBox(height: 16),
          AppTextFormField(title: 'Email', hintText: 'Masukkan Email'),
          SizedBox(height: 16),
          AppTextFormField(title: 'No. Hp', hintText: 'Masukkan No. Hp'),
          SizedBox(height: 16),
        ],
      ),
    );
  }
}
